group "Product.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
productType+, productId*, assetClass+

Content Model Elements (3):

  assetClass, productId, productType

Known Usage Locations

- In definitions of global complexTypes (1):
  Product

XML Source (w/o annotations (3); see within schema source)

<xsd:group name="Product.model"> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="productType" type="ProductType"/> <!-- added BAL 2011-02-20 to address CFTC reporting requirements --> <!-- <xsd:element name="productSubType" type="ProductSubType" minOccurs="0" maxOccurs="unbounded"> <xsd:annotation> <xsd:documentation xml:lang="en">A finer grained classification of the type of product. FpML defines a simple product subtype categorization using a coding scheme.</xsd:documentation> <xsd:appinfo> <view:override view="transparency" minOccurs="1"/> <view:override view="recordkeeping" minOccurs="1"/> </xsd:appinfo> </xsd:annotation> </xsd:element> --> <!-- end BAL 2011-02-20 --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"/> <xsd:element maxOccurs="unbounded" name="assetClass" type="AssetClass"/> <!-- added BAL 2011-02-20 to address CFTC reporting requirements --> <!-- <xsd:element name="subAssetClass" type="SubAssetClass" minOccurs="0" maxOccurs="unbounded"> <xsd:annotation> <xsd:documentation xml:lang="en">A narrower classification of the risk class of the trade than asset class. Used to represent things like type of commodities (e.g. energies, base metals, etc.) . FpML defines a simple asset class categorization using a coding scheme.</xsd:documentation> <xsd:appinfo> <view:skip view="confirmation" /> </xsd:appinfo> </xsd:annotation> </xsd:element> --> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
assetClass

  Type: | AssetClass, simple content

  A classification of the risk class of the trade. FpML defines a simple asset class categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="assetClass" type="AssetClass"/>

productId

  Type: | ProductId, simple content

  A product reference identifier. The product ID is an identifier that describes the key economic characteristics of the trade type, with the exception of concepts such as size (notional, quantity, number of units) and price (fixed rate, strike, etc.) that are negotiated for each transaction. It can be used to hold identifiers such as the "UPI" (universal product identifier) required by certain regulatory reporting rules. It can also be used to hold identifiers of benchmark products or product temnplates used by certain trading systems or facilities. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"/>

productType

  Type: | ProductType, simple content

  A classification of the type of product. FpML defines a simple product categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="productType" type="ProductType"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.